MONGOC_BULK_OPERATION_GET_HINT(3)

NAME
mongoc_bulk_operation_get_hint - mongoc_bulk_operation_get_hint()

SYNOPSIS

        uint32_t
        mongoc_bulk_operation_get_hint (const mongoc_bulk_operation_t *bulk);

PARAMETERS

    •   bulk: A mongoc_bulk_operation_t.

DESCRIPTION

Retrieves the opaque id of the server used for the operation.

(The function name includes the old term "hint" for the sake of backward compatibility, but we now call this number a "server id".)

This number is zero until the driver actually uses a server in mongoc_bulk_operation_execute. The server id is the same number as the return value of a successful mongoc_bulk_operation_execute, so mongoc_bulk_operation_get_hint is useful mainly in case mongoc_bulk_operation_execute fails and returns zero.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc